package de.ugoe.cs.swe.exercises.tests;

import org.junit.After;
import org.junit.Before;
import de.ugoe.cs.swe.exercises.exercise.ExerciseSVN;
import de.ugoe.cs.swe.exercises.misc.Model;

public class BaseTest {
	private java.sql.Connection con;
	
	@Before
	public void setUpTestDb() throws Exception {
		while(con == null)
			con = Model.getConnection(true);
		ExerciseSVN.SVNCheckout();
		//Model.flushTables();
	}

	@After
	public void tearDownTestDb() throws Exception {
		Model.flushTables();
		//con.close();
	}
}
